> ## Documentation Index
> Fetch the complete documentation index at: https://cal.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the agent notification channel selection



## OpenAPI

````yaml /api-reference/v2/openapi.json get /v2/notifications/agent-channels
openapi: 3.0.0
info:
  title: Cal.com API v2
  description: ''
  version: 1.0.0
  contact: {}
servers: []
security: []
tags: []
paths:
  /v2/notifications/agent-channels:
    get:
      tags:
        - Notifications
      summary: Get the agent notification channel selection
      operationId: NotificationsAgentChannelsController_getAgentChannels
      parameters:
        - name: Authorization
          in: header
          description: >-
            value must be `Bearer <token>` where `<token>` is api key prefixed
            with cal_
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AgentChannelsResponseDto'
components:
  schemas:
    AgentChannelsResponseDto:
      type: object
      properties:
        status:
          enum:
            - success
            - error
          type: string
          example: success
        data:
          $ref: '#/components/schemas/AgentChannelsOutputDto'
      required:
        - status
        - data
    AgentChannelsOutputDto:
      type: object
      properties:
        slack:
          type: boolean
          example: true
        telegram:
          type: boolean
          example: true
        imessage:
          type: boolean
          example: true
      required:
        - slack
        - telegram
        - imessage

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.